Bug 2052662 - Opening Insights popup crashes the page
Summary: Opening Insights popup crashes the page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.10
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.12.0
Assignee: Pavel Kratochvil
QA Contact: Xiyun Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-09 18:09 UTC by Leon Kladnitsky
Modified: 2023-01-17 19:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* Previously, if issues were pending, clicking on the *Insights* link would crash the page. As a workaround, you can wait for the variable to become `initialized` before clicking the *Insights* link. As a result, the Insights page will open as expected. (link:https://bugzilla.redhat.com/show_bug.cgi?id=2052662[*BZ#2052662*])
Clone Of:
Environment:
Last Closed: 2023-01-17 19:47:08 UTC
Target Upstream Version:


Attachments (Terms of Use)
page crashes (1019.01 KB, video/mp4)
2022-02-09 18:09 UTC, Leon Kladnitsky
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 11780 0 None open Bug 2052662: Fix null reference 2022-07-05 12:31:42 UTC
Red Hat Product Errata RHSA-2022:7399 0 None None None 2023-01-17 19:47:32 UTC

Description Leon Kladnitsky 2022-02-09 18:09:58 UTC
Created attachment 1860188 [details]
page crashes

Description of problem: Clicking on 'Insights' link crashes the page, if Issues are pending


Version-Release number of selected component (if applicable):
master

How reproducible:
100

Steps to Reproduce:
1. Open Overview page on cluster with some issues
2. Click 'Insights' link on 'Status' page

Actual results:
Page crashes


Expected results:
Insights popup is displayed


Additional info:

Stack trace:

    TypeError: Cannot read properties of null (reading 'data')
        at v (http://0.0.0.0:9000/static/main-chunk-b33574c94a3edea607a2.min.js:1:701333)
        at b (http://0.0.0.0:9000/static/insights-plugin-chunk-a31d24ceca76bc673915.min.js:1:1213)
        at na (http://0.0.0.0:9000/static/vendors~main-chunk-98eea784d30223057c7d.min.js:263:58879)
        at Hs (http://0.0.0.0:9000/static/vendors~main-chunk-98eea784d30223057c7d.min.js:263:111315)
        at xc (http://0.0.0.0:9000/static/vendors~main-chunk-98eea784d30223057c7d.min.js:263:98327)
        at Cc (http://0.0.0.0:9000/static/vendors~main-chunk-98eea784d30223057c7d.min.js:263:98255)
        at _c (http://0.0.0.0:9000/static/vendors~main-chunk-98eea784d30223057c7d.min.js:263:98118)
        at pc (http://0.0.0.0:9000/static/vendors~main-chunk-98eea784d30223057c7d.min.js:263:95105)
        at http://0.0.0.0:9000/static/vendors~main-chunk-98eea784d30223057c7d.min.js:263:44774
        at t.unstable_runWithPriority (http://0.0.0.0:9000/static/vendors~main-chunk-98eea784d30223057c7d.min.js:271:3768)

Comment 2 Tal Nisan 2022-06-27 11:26:20 UTC
Moving to Management console as it is in the cluster overview page

Comment 4 Xiyun Zhao 2022-07-20 08:57:37 UTC
This bug has been verified on payload 4.12.0-0.nightly-2022-07-19-125123

Verification Step:
1. Login in OCP, open the Overview page with some issues, and make sure the Insights state is in a pending state on the status section
2. Click the 'Insights' link on the 'Status' section
3. Check if the pop-up windows can be shown normally

Result:
3. the pop up windows can be shown normally, the page will not crash with any error, and the link on the popup windows can be redirected to right page

Comment 7 errata-xmlrpc 2023-01-17 19:47:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.12.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:7399


Note You need to log in before you can comment on or make changes to this bug.